Bug 146972 - Display settings not detected on Inspiron 4000
Display settings not detected on Inspiron 4000
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-03 00:21 EST by C J M
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: Fedora Core 4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-30 03:33:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X Config file (2.96 KB, text/plain)
2005-02-09 11:00 EST, C J M
no flags Details

  None (edit)
Description C J M 2005-02-03 00:21:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
Everything seems to go to plan with the installation, but it cannot
detect the monitor.  Setting it manually to Generic 1024x768 or Dell
1024x768 yielded no success.  

The Dell driver kinda worked, but the display was garbled on the right
side of the screen.  The Generic driver just plain didn't work.  

Leaving it as undetected would only allow 800x600 resolution, so I
didn't even try leaving it alone.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install FC3 from DVD
2. Complete GUI configuration wizard and the X portion will show the
monitor as Unknown.  Max resolution is 800x600.
3. Setting the monitor to the Dell Laptop Display 1024x768 will result
(after logoff/logon) in garbled output on the right side of the display.
    

Actual Results:  The same results as stated.

Expected Results:  The crisp, clean GUI at a resolution of 1024x768.

Additional info:
Comment 1 Mike A. Harris 2005-02-07 21:11:51 EST
Misfiled against XFree86 (which does not exist in FC3), reassigning
to "xorg-x11" component.
Comment 2 Mike A. Harris 2005-02-07 21:14:26 EST
> The Dell driver kinda worked, but the display was garbled on the
> right side of the screen.  The Generic driver just plain didn't
> work.  

Could you clarify a bit what is meant by "Dell driver" and "Generic
driver"?  Does Dell supply additional video drivers, or are you
refering to manually choosing your monitor from a list in our
config tool?

Please run "ddcprobe" and paste the results here.  Also, please
attach your X server config file and log file as individual
uncompressed file attachments.

Comment 3 Mike A. Harris 2005-02-07 21:15:20 EST
Setting status to "NEEDINFO", awaiting requested file attachments
and clarifications requested in comment #2.  Thanks in advance.
Comment 4 C J M 2005-02-09 11:00:26 EST
Created attachment 110876 [details]
X Config file

As requested...
Comment 5 C J M 2005-02-09 11:05:19 EST
Sorry for the confusion!  I was referring to selecting Dell manually
as a manufacturer within your config tool.

The results of the ddcprobe are below:

______________________________________________________

Videocard DDC probe results
Description:  ATI Technologies Inc. M3
Memory (MB):  8

Monitor DDC probe results
Monitor DDC Probe failed.

______________________________________________________

I'm not clear on what file the 'log file' is referring to.  Can you
provide more information on what you need and I'll be happy to send it
along.

Thanks in advance!

Comment 6 Mike A. Harris 2005-04-15 09:02:00 EDT
Please upgrade to the latest rawhide xorg-x11 release, which contains
numerous fixes that mays solve this issue.  If the problem still exists
in the latest rawhide xorg-x11 packages, it probably indicates a generic
bug in X.Org that is not Fedora Core specific.  In this case, file a bug
report in X.Org bugzilla located at http://bugs.freedesktop.org in the "xorg"
component, along with full details, and attach a copy of your X.Org server
config file and log file.  If you require technical support or assistance
in obtaining this information, you can write to the xorg@freedesktop.org
mailing list also.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.
Comment 7 Mike A. Harris 2005-04-15 09:02:55 EDT
Setting status to "NEEDINFO", awaiting X.Org bug report URL for
tracking.
Comment 8 Mike A. Harris 2005-05-17 01:31:17 EDT
(In reply to comment #5)
> Sorry for the confusion!  I was referring to selecting Dell manually
> as a manufacturer within your config tool.
> 
> The results of the ddcprobe are below:
> 
> ______________________________________________________
> 
> Videocard DDC probe results
> Description:  ATI Technologies Inc. M3
> Memory (MB):  8
> 
> Monitor DDC probe results
> Monitor DDC Probe failed.

This indicates that your display either does not support DDC, or that
you're using a KVM switch that does not pass the DDC signal through
correctly.  Since this is an M3 however, I'm assuming it is the former.
A lot of older laptops with M3/M4 era hardware do not support DDC.  As
such, there's no way to autodetect the display, and it must be chosen
from the list of available monitors manually.  If there is no entry
for a particular display, it can be set up manually by the user by
hand editing the config file and punching in values from the monitor's
manual or datasheet, or by submitting the manufacturer's .INF file for
the monitor to us from Microsoft Windows driver download from their
website.

So, when our tool lists it as "unknown", this is correct and not possible
to work around unless the hardware really does support DDC.

>Setting the monitor to the Dell Laptop Display 1024x768 will result
>(after logoff/logon) in garbled output on the right side of the display.

This would be a video driver bug most likely, but a separate issue
from wether or not DDC probing works (or is possible on this machine).


> I'm not clear on what file the 'log file' is referring to.  Can you
> provide more information on what you need and I'll be happy to send it
> along.

The X server log file, X server config file, the output of lsmod,
a copy of /var/log/messages, and any other information that might
be useful.

Also, please report the issue to X.Org as requested in comment #6 above,
which will accelerate the likelyhood of finding a solution for this problem
before FC4 is finalized.

Either way, please respond as soon as you can, so we can make some
progress on diagnosis for this.
Comment 9 Mike A. Harris 2005-08-30 03:33:30 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.